<script>

export default {
    name: "TitleBar",
    emits: ['update:open'],
    props: ['open'],
    computed: {
        openedSettings: {
            get() {
                return this.open
            },
            set(value) {
                this.$emit('update:open', value)
            }
        }
    }
}
</script>

<template>
  <v-row>
    <v-col cols="2" class="d-flex justify-center">
      <v-avatar
        size="x-large"
      >
        <v-img
          src="./ed_photo.jpg"
          alt="Ed"
        ></v-img>
      </v-avatar>
    </v-col>
    <v-col cols="8">
      <p class="text-left text-grey-darken-2">Your AI Assistant</p>
      <p class="text-left font-weight-bold text-h6">Ed</p>
    </v-col>
    <v-col
      cols="2"
      class="d-flex justify-end align-center"
    >
      <v-btn
        variant="text"
        elevation="0"
        :ripple="false"
        size="large"
        @click="openedSettings = !openedSettings"
      >
        <template #default>
          <v-icon
            class="mr-1"
            icon="fa-solid fa-sliders"
          />
        </template>
      </v-btn>
    </v-col>
  </v-row>
</template>

<style scoped>

</style>